#ATTENTION!
#
#DO NOT MODIFY THIS FILE BECAUSE IT WAS GENERATED AUTOMATICALLY,
#SO ALL YOUR CHANGES WILL BE LOST THE NEXT TIME THE FILE IS GENERATED.
server {
	listen 51.178.50.49:443 ssl;

	ssl_certificate             /opt/psa/var/certificates/scfJhicuh;
	ssl_certificate_key         /opt/psa/var/certificates/scfJhicuh;

	server_name www.drone-geofencing.com;

	location / {
		return 301 https://drone-geofencing.com$request_uri;
	}

}

server {
	listen 51.178.50.49:443 ssl http2;

	server_name drone-geofencing.com;
	server_name ipv4.drone-geofencing.com;

	ssl_certificate             /opt/psa/var/certificates/scfJhicuh;
	ssl_certificate_key         /opt/psa/var/certificates/scfJhicuh;

	client_max_body_size 128m;

	root "/var/www/vhosts/drone-geofencing.com/httpdocs";
	access_log "/var/www/vhosts/system/drone-geofencing.com/logs/proxy_access_ssl_log";
	error_log "/var/www/vhosts/system/drone-geofencing.com/logs/proxy_error_log";

	#extension letsencrypt begin
	location ^~ /.well-known/acme-challenge/ {
		root /var/www/vhosts/default/htdocs;

		types { }
		default_type text/plain;

		satisfy any;
		auth_basic off;
		allow all;

		location ~ ^/\.well-known/acme-challenge.*/\. {
			deny all;
		}
	}
	#extension letsencrypt end

	#extension sslit begin

	#extension sslit end

	location / {
		proxy_pass https://51.178.50.49:7081;
		proxy_set_header Host             $host;
		proxy_set_header X-Real-IP        $remote_addr;
		proxy_set_header X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_set_header X-Accel-Internal /internal-nginx-static-location;
		access_log off;

	}

	location /internal-nginx-static-location/ {
		alias /var/www/vhosts/drone-geofencing.com/httpdocs/;
		internal;
	}

	location ~ ^/(plesk-stat|awstats-icon|webstat|webstat-ssl|ftpstat|anon_ftpstat) {
		proxy_pass https://51.178.50.49:7081;
		proxy_set_header Host             $host;
		proxy_set_header X-Real-IP        $remote_addr;
		proxy_set_header X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_set_header X-Accel-Internal /internal-nginx-static-location;
		access_log off;

	}

	location ~ "^/files/" {
		proxy_pass https://51.178.50.49:7081;
		proxy_set_header Host             $host;
		proxy_set_header X-Real-IP        $remote_addr;
		proxy_set_header X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_set_header X-Accel-Internal /internal-nginx-static-location;
		access_log off;

	}

	add_header X-Powered-By PleskLin;

	include "/var/www/vhosts/system/drone-geofencing.com/conf/vhost_nginx.conf";
}
server {
	listen 51.178.50.49:80;

	server_name www.drone-geofencing.com;

	location / {
		return 301 https://drone-geofencing.com$request_uri;
	}

}

server {
	listen 51.178.50.49:80;

	server_name drone-geofencing.com;
	server_name ipv4.drone-geofencing.com;

	client_max_body_size 128m;

	location / {
		return 301 https://$host$request_uri;
	}
}